## Apache Zeta Components Manual :: Docs For Class ezcConfigurationIniItem

### Configuration::ezcConfigurationIniItem

### Class ezcConfigurationIniItem

A container to store one INI settings item

This struct is used in various classes to store the data accompanying one INI setting.

Source for this file: /Configuration/src/structs/ini_item.php

    ezcBaseStruct
       |
       --ezcConfigurationIniItem

Version: | //autogentag//

### Constants

`GROUP_HEADER = 2` | The Configuration item is a group..
`SETTING = 1` | The Configuration item is a setting.

### Member Variables

public string | `$comments` Comments that belong to this setting.
public string | `$dimensions` The dimensions of the setting.
public string | `$group` The name of the group this setting belongs to.
public string | `$setting` The name of the setting or the group.
public int | `$type` The item type. Either SETTING or GROUP_HEADER.
public mixed | `$value` The setting's value.

### Method Summary

public ezcConfigurationIniItem | `__construct( $type , $group , $setting , $dimensions , $comments , $value )` Constructs an ezcConfigurationIniItem object.

### Methods

#### __construct

ezcConfigurationIniItem __construct( int $type , string $group , string $setting , string $dimensions , string $comments , mixed $value )

Constructs an ezcConfigurationIniItem object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$type` | int | Either SETTING or GROUP_HEADER
`$group` | string |
`$setting` | string |
`$dimensions` | string |
`$comments` | string |
`$value` | mixed |

Documentation generated by phpDocumentor 1.4.3